/***************************************************************************
 *   Copyright (C) 2005 by Robert Maxe                                     *
 *   robmax-1@student.ltu.se                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
//-----------------------------------------------------------------------------------------------------------------------
#ifndef __MAXEMUMTVGUIDE_H__
#define __MAXEMUMTVGUIDE_H__
//-----------------------------------------------------------------------------------------------------------------------
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
//-----------------------------------------------------------------------------------------------------------------------
#include <kmainwindow.h>
#include <kuniqueapplication.h>
#include <kaction.h>
#include "mainwidget.h"
//-----------------------------------------------------------------------------------------------------------------------
class MaxemumTVGuide : public KMainWindow
{
	Q_OBJECT
public:
	MaxemumTVGuide(KUniqueApplication *parent);
	~MaxemumTVGuide();
	
	bool queryClose();
	void enableClose() { m_okToClose = true; }

public slots:
	void doToggle() { if(isShown()) hide(); else show(); }

protected:
	void saveProperties(KConfig *cfg);
	void readProperties(KConfig *cfg);

private:
	KActionCollection m_actionCollection;
	KUniqueApplication *m_parent;
	MainWidget *m_widget;
	bool m_okToClose;

};
//-----------------------------------------------------------------------------------------------------------------------
#endif
//-----------------------------------------------------------------------------------------------------------------------
