/***************************************************************************
 *   Copyright (C) 2005 by Robert Maxe                                     *
 *   robmax-1@student.ltu.se                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
//-----------------------------------------------------------------------------------------------------------------------
#ifndef __SEARCHVIEW_H__
#define __SEARCHVIEW_H__
//-----------------------------------------------------------------------------------------------------------------------
#include <klistview.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include "programmaster.h"
#include "programitem.h"
#include "baseview.h"
//-----------------------------------------------------------------------------------------------------------------------
class MainWidget;
//-----------------------------------------------------------------------------------------------------------------------
class SearchView : public BaseView
{
	Q_OBJECT
public:
	SearchView(MainWidget *parent, ProgramMaster *programMaster, KListView *lv, QPtrList<Program> *programs, QWidget *frame);

//	virtual void loadSettings(KConfig *cfg);
//	virtual void saveSettings(KConfig *cfg);
	
	virtual void newDay() { rebuild(); }
	virtual void aboutToShow();
	virtual void preParse() { m_lv->clear(); }
	virtual void postParse() { }

public slots:
	virtual void showPopupMenu(KListView*, QListViewItem *item, const QPoint&);
	virtual bool rebuild();
//	void search() { rebuild(); }

private:
	QLineEdit *m_lineEdit;
	QCheckBox *m_titles;
	QCheckBox *m_actors;
	QCheckBox *m_desc;
	QLabel *m_hits;

};
//-----------------------------------------------------------------------------------------------------------------------
#endif
//-----------------------------------------------------------------------------------------------------------------------
